package cn.com.poc.appbuilder.api.entity;

import java.io.Serializable;

/**
 * @author Jennie 查询用户下状态为已发布的应用列表请求体
 * @create 2022-08-10 11:21
 */
public class AppBuilderDescribeListRequest implements Serializable {
    /**
     * 起始位置
     * **/
    private String marker;

    /**
     * 数据大小，默认10，最大值100
     * **/
    private Integer maxKeys;

    public AppBuilderDescribeListRequest() {
    }

    public AppBuilderDescribeListRequest(String marker, Integer maxKeys) {
        this.marker = marker;
        this.maxKeys = maxKeys;
    }

    public String getMarker() {
        return marker;
    }

    public void setMarker(String marker) {
        this.marker = marker;
    }

    public Integer getMaxKeys() {
        return maxKeys;
    }

    public void setMaxKeys(Integer maxKeys) {
        this.maxKeys = maxKeys;
    }
}
